### Method

# Ide TestManager run_async

#### Declaration

    void
    ide_test_manager_run_async (
      IdeTestManager* self,
      IdeTest* test,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Executes a single unit test, asynchronously.

The caller can access the result of the operation from `callback` by calling `ide_test_manager_run_finish()` with the provided result.

Available since: | 3.32

#### Parameters

`test` | `IdeTest`
| An `IdeTest`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.